<?php

declare(strict_types=1);

namespace app\models;

use yii;
use yii\base\Model;

use Mnvx\Lowrapper\Converter;
use Mnvx\Lowrapper\LowrapperParameters;
use Mnvx\Lowrapper\Format;

class Invoice extends Model
{
    public function generate(): array
    {
        // Создаем объект конвертера
        $converter = new Converter();

        // Описываем параметры для конвертера
        $parameters = (new LowrapperParameters())
            // На вход подаем строку с HTML
            ->setInputData('<html>My html file</html>')
            // В каком формате нужен результат
            ->setOutputFormat(Format::TEXT_DOCX)
            // Файл для сохранения результата
            ->setOutputFile('path-to-result-docx.docx');

        // Запускаем конвертацию
        $converter->convert($parameters);
    }
}
